Bill import errors
GET
/api/app/bill-import/errors/{batchId}
const url = 'https://test.unipay.co.zw/api/app/bill-import/errors/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://test.unipay.co.zw/api/app/bill-import/errors/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”batchId
required
string format: uuid
Query Parameters
Section titled “Query Parameters”SkipCount
integer format: int32
MaxResultCount
integer format: int32
Responses
Section titled “Responses”OK
Media typeapplication/json
object
items
Array<object>
object
rowNumber
integer format: int32
billNo
string
uniqueNo
string
amount
number format: double
currency
string
rowStatus
integer format: int32
errorMessage
string
errorCode
string
redactedPayloadJson
string
totalCount
integer format: int64
Example
{ "items": [ { "rowStatus": 0 } ]}Bad Request
Media typeapplication/json
object
error
object
code
string
message
string
details
string
data
object
key
additional properties
validationErrors
Array<object>
object
message
string
members
Array<string>
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example", "data": { "additionalProperty": "example" }, "validationErrors": [ { "message": "example", "members": [ "example" ] } ] }}Unauthorized: token missing, invalid or expired. Empty body.
Forbidden: the token lacks the scope this call needs. Empty body. (Refusals specific to your organisation use the error object.)
Not found: wrong path. Empty body.
Internal Server Error
Media typeapplication/json
object
error
object
code
string
message
string
details
string
data
object
key
additional properties
validationErrors
Array<object>
object
message
string
members
Array<string>
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example", "data": { "additionalProperty": "example" }, "validationErrors": [ { "message": "example", "members": [ "example" ] } ] }}UniPay API v1 · build e1eb5c49 · Powered by Axis Solutions